Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.parser
Class StartComponentToken

    java.lang.Object
      org.apache.tapestry5.ioc.BaseLocatable
          org.apache.tapestry5.internal.parser.TemplateToken
              org.apache.tapestry5.internal.parser.StartComponentToken

All Implemented Interfaces:
  Locatable

    public class StartComponentToken

extends TemplateToken

The start element of a component within the template. Will be followed by a series of `AttributeToken`s for any attributes (outside of id and type), and eventually will be balanced by an `EndElementToken`.

Constructor Summary
`StartComponentToken(java.lang.String elementName, java.lang.String id, java.lang.String type, java.lang.String mixins, Location location)`

Method Summary
`java.lang.String` | `getComponentType()` Returns a non-blank component type if one was provided in the template.
`java.lang.String` | `getElementName()` Returns the element for this component.
`java.lang.String` | `getId()` Returns a non-blank id if one was provided in the template.
`java.lang.String` | `getMixins()` Returns the list of mixins for this component instance, or null for no mixins.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.tapestry5.internal.parser.TemplateToken
`getTokenType`

Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable
`getLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StartComponentToken

    public StartComponentToken(java.lang.String elementName,
                               java.lang.String id,
                               java.lang.String type,
                               java.lang.String mixins,
                               Location location)

Parameters:
  `elementName` - the name of the element from which this component was parsed, or null if the element was the t:comp placeholder
  `id` - the id of the component (may be null for anonymous components)
  `type` - the type of component (may be null if the component type is specified outside the template)
  `mixins` - a comma-separated list of mixins (possibly null)
  `location` - the location within the template at which the element was parsed

Method Detail

### getElementName

    public java.lang.String getElementName()

  Returns the element for this component. When using the <t:comp> placeholder, this value will be null. When using "invisible instrumentation", where t:id or t:type attributes are added to existing elements, this is the local name of the element so attached.

  Returns:
    the element name or null

### getId

    public java.lang.String getId()

  Returns a non-blank id if one was provided in the template. If the id attribute was missing (or the value was blank), returns null.

### getComponentType

    public java.lang.String getComponentType()

  Returns a non-blank component type if one was provided in the template. If the type attribute was missing (or the value was blank), returns null.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMixins

    public java.lang.String getMixins()

  Returns the list of mixins for this component instance, or null for no mixins.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.